>From 174cf2fe6ae01f0fc1e1d9bbfe98fc06367a41e3 Mon Sep 17 00:00:00 2001
From: Andreas Karlsson <andreas@proxel.se>
Date: Fri, 13 Feb 2015 00:31:33 +0100
Subject: [PATCH 4/4] Replace obsolete macro AC_DECL_SYS_SIGLIST with
 AC_CHECK_DECLS

The AC_DECL_SYS_SIGLIST macro was marked as obsolete in version 2.54a.
---
 configure    | 9 +--------
 configure.in | 2 +-
 2 files changed, 2 insertions(+), 9 deletions(-)

diff --git a/configure b/configure
index 71038b3..b5c5b5a 100755
--- a/configure
+++ b/configure
@@ -12166,13 +12166,7 @@ $as_echo "#define HAVE_SIGSETJMP 1" >>confdefs.h
 
 fi
 
-ac_fn_c_check_decl "$LINENO" "sys_siglist" "ac_cv_have_decl_sys_siglist" "#include <signal.h>
-/* NetBSD declares sys_siglist in unistd.h.  */
-#ifdef HAVE_UNISTD_H
-# include <unistd.h>
-#endif
-
-"
+ac_fn_c_check_decl "$LINENO" "sys_siglist" "ac_cv_have_decl_sys_siglist" "$ac_includes_default"
 if test "x$ac_cv_have_decl_sys_siglist" = xyes; then :
   ac_have_decl=1
 else
@@ -12184,7 +12178,6 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-
 ac_fn_c_check_func "$LINENO" "syslog" "ac_cv_func_syslog"
 if test "x$ac_cv_func_syslog" = xyes; then :
   ac_fn_c_check_header_mongrel "$LINENO" "syslog.h" "ac_cv_header_syslog_h" "$ac_includes_default"
diff --git a/configure.in b/configure.in
index 1725df6..cc0b76e 100644
--- a/configure.in
+++ b/configure.in
@@ -1473,7 +1473,7 @@ if test x"$pgac_cv_func_sigsetjmp" = x"yes"; then
   AC_DEFINE(HAVE_SIGSETJMP, 1, [Define to 1 if you have sigsetjmp().])
 fi
 
-AC_DECL_SYS_SIGLIST
+AC_CHECK_DECLS([sys_siglist])
 
 AC_CHECK_FUNC(syslog,
               [AC_CHECK_HEADER(syslog.h,
-- 
2.1.4

